Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/novell-252693-3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/novell-252693-3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/novell-252693-3.dot
@@ -4,6 +4,7 @@
 "configstoreclone:0_post_notify_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "configstoreclone:0_pre_notify_start_0 node2" -> "configstorecloneset_confirmed-pre_notify_start_0" [ style = bold]
 "configstoreclone:0_pre_notify_start_0 node2" [ style=bold color="green" fontcolor="black" ]
+"configstoreclone:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "configstoreclone:1_monitor_0 node1" -> "configstorecloneset_start_0" [ style = bold]
 "configstoreclone:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "configstoreclone:1_monitor_20000 node1" [ style=bold color="green" fontcolor="black" ]
@@ -35,6 +36,7 @@
 "evmsclone:0_post_notify_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "evmsclone:0_pre_notify_start_0 node2" -> "evmscloneset_confirmed-pre_notify_start_0" [ style = bold]
 "evmsclone:0_pre_notify_start_0 node2" [ style=bold color="green" fontcolor="black" ]
+"evmsclone:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "evmsclone:1_monitor_0 node1" -> "evmscloneset_start_0" [ style = bold]
 "evmsclone:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "evmsclone:1_post_notify_start_0 node1" -> "evmscloneset_confirmed-post_notify_running_0" [ style = bold]
@@ -59,6 +61,7 @@
 "evmscloneset_start_0" -> "evmsclone:1_start_0 node1" [ style = bold]
 "evmscloneset_start_0" -> "evmscloneset_running_0" [ style = bold]
 "evmscloneset_start_0" [ style=bold color="green" fontcolor="orange" ]
+"evmsdclone:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "evmsdclone:1_monitor_0 node1" -> "evmsdcloneset_start_0" [ style = bold]
 "evmsdclone:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "evmsdclone:1_monitor_5000 node1" [ style=bold color="green" fontcolor="black" ]
@@ -70,7 +73,9 @@
 "evmsdcloneset_start_0" -> "evmsdclone:1_start_0 node1" [ style = bold]
 "evmsdcloneset_start_0" -> "evmsdcloneset_running_0" [ style = bold]
 "evmsdcloneset_start_0" [ style=bold color="green" fontcolor="orange" ]
+"imagestoreclone:0_monitor_0 node1" -> "all_stopped" [ style = bold]
 "imagestoreclone:0_monitor_0 node1" -> "imagestorecloneset_start_0" [ style = bold]
+"imagestoreclone:0_monitor_0 node1" -> "imagestorecloneset_stopped_0" [ style = bold]
 "imagestoreclone:0_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "imagestoreclone:0_monitor_20000 node1" [ style=bold color="green" fontcolor="black" ]
 "imagestoreclone:0_post_notify_start_0 node1" -> "imagestorecloneset_confirmed-post_notify_running_0" [ style = bold]
@@ -132,6 +137,8 @@
 "sles10_migrate_from_0 node1" [ style=bold color="green" fontcolor="black"]
 "sles10_migrate_to_0 node2" -> "sles10_migrate_from_0 node1" [ style = bold]
 "sles10_migrate_to_0 node2" [ style=bold color="green" fontcolor="black"]
+"sles10_monitor_0 node1" -> "all_stopped" [ style = bold]
+"sles10_monitor_0 node1" -> "imagestorecloneset_stop_0" [ style = bold]
 "sles10_monitor_0 node1" -> "sles10_migrate_to_0 node2" [ style = bold]
 "sles10_monitor_0 node1" -> "sles10_start_0 node1" [ style = bold]
 "sles10_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
@@ -142,6 +149,7 @@
 "sles10_stop_0 node2" -> "imagestorecloneset_stop_0" [ style = dashed]
 "sles10_stop_0 node2" -> "sles10_start_0 node1" [ style = bold]
 "sles10_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
+"stonithclone:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "stonithclone:1_monitor_0 node1" -> "stonithcloneset_start_0" [ style = bold]
 "stonithclone:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "stonithclone:1_monitor_5000 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/novell-252693-3.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/novell-252693-3.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/novell-252693-3.exp
@@ -456,6 +456,9 @@
         <rsc_op id="5" operation="stop" operation_key="imagestoreclone:0_stop_0" on_node="node2" on_node_uuid="2c826922-d092-4862-bedc-de9ae2312117"/>
       </trigger>
       <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="imagestoreclone:0_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="55" operation="stop" operation_key="imagestorecloneset_stop_0"/>
        </trigger>
      </inputs>
@@ -468,6 +471,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="sles10_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="58" operation="notified" operation_key="imagestorecloneset_confirmed-pre_notify_stop_0"/>
        </trigger>
      </inputs>
@@ -836,6 +842,24 @@
         <rsc_op id="5" operation="stop" operation_key="imagestoreclone:0_stop_0" on_node="node2" on_node_uuid="2c826922-d092-4862-bedc-de9ae2312117"/>
        </trigger>
        <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="stonithclone:1_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="evmsdclone:1_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="evmsclone:1_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="imagestoreclone:0_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="configstoreclone:1_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="sles10_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="60" operation="notified" operation_key="imagestorecloneset_confirmed-post_notify_stopped_0"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/order3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/order3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/order3.dot
@@ -1,5 +1,6 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" -> "rsc2_start_0 node2" [ style = bold]
@@ -7,7 +8,10 @@
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc2_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
+"rsc2_monitor_0 node2" -> "rsc4_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" -> "rsc3_start_0 node2" [ style = bold]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -16,6 +20,8 @@
 "rsc2_stop_0 node1" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_stop_0 node1" -> "rsc4_stop_0 node1" [ style = bold]
 "rsc2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc3_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc3_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc3_monitor_0 node2" -> "rsc3_start_0 node2" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -23,6 +29,7 @@
 "rsc3_stop_0 node1" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc3_stop_0 node1" -> "rsc3_start_0 node2" [ style = bold]
 "rsc3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc4_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node2" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node2" -> "rsc2_start_0 node2" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-11.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-11.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-11.dot
@@ -13,6 +13,8 @@ digraph "g" {
 "group1_stopped_0" -> "group1_start_0" [ style = bold]
 "group1_stopped_0" -> "rsc3_stop_0 node2" [ style = bold]
 "group1_stopped_0" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc1_monitor_0 node2" -> "group1_stopped_0" [ style = bold]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" -> "group1_running_0" [ style = bold]
@@ -22,6 +24,9 @@ digraph "g" {
 "rsc1_stop_0 node1" -> "group1_stopped_0" [ style = bold]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="orange" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc2_monitor_0 node2" -> "group1_stopped_0" [ style = bold]
+"rsc2_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" -> "group1_running_0" [ style = bold]
@@ -41,6 +46,7 @@ digraph "g" {
 "stonith 'reboot' node1" -> "rsc2_stop_0 node1" [ style = bold]
 "stonith 'reboot' node1" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' node1" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 node2" -> "stonith-1_start_0 node2" [ style = bold]
 "stonith-1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-11.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-11.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-11.exp
@@ -32,6 +32,12 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
@@ -120,6 +126,9 @@
         <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
@@ -234,6 +243,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/reload-becomes-restart.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/reload-becomes-restart.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/reload-becomes-restart.dot
@@ -1,7 +1,9 @@
 digraph "g" {
 "Fencing_monitor_0 node1" -> "Fencing_start_0 node1" [ style = bold]
+"Fencing_monitor_0 node1" -> "all_stopped" [ style = bold]
 "Fencing_monitor_0 node1" [ style=bold color="green" fontcolor="black"]
 "Fencing_monitor_0 node2" -> "Fencing_start_0 node1" [ style = bold]
+"Fencing_monitor_0 node2" -> "all_stopped" [ style = bold]
 "Fencing_monitor_0 node2" [ style=bold color="green" fontcolor="black"]
 "Fencing_monitor_120000 node1" [ style=bold color="green" fontcolor="black"]
 "Fencing_start_0 node1" -> "Fencing_monitor_120000 node1" [ style = bold]
@@ -23,6 +25,7 @@ digraph "g" {
 "cl-rsc2_stop_0" [ style=bold color="green" fontcolor="orange"]
 "cl-rsc2_stopped_0" -> "cl-rsc2_start_0" [ style = bold]
 "cl-rsc2_stopped_0" [ style=bold color="green" fontcolor="orange"]
+"rsc1:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1:0_monitor_0 node2" -> "cl-rsc1_start_0" [ style = bold]
 "rsc1:0_monitor_0 node2" [ style=bold color="green" fontcolor="black"]
 "rsc1:0_monitor_120000 node2" [ style=bold color="green" fontcolor="black"]
@@ -30,6 +33,7 @@ digraph "g" {
 "rsc1:0_start_0 node2" -> "rsc1:0_monitor_120000 node2" [ style = bold]
 "rsc1:0_start_0 node2" -> "rsc2:1_start_0 node2" [ style = bold]
 "rsc1:0_start_0 node2" [ style=bold color="green" fontcolor="black"]
+"rsc1:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc1:1_monitor_0 node1" -> "cl-rsc1_start_0" [ style = bold]
 "rsc1:1_monitor_0 node1" [ style=bold color="green" fontcolor="black"]
 "rsc1:1_monitor_120000 node1" [ style=bold color="green" fontcolor="black"]
@@ -37,7 +41,9 @@ digraph "g" {
 "rsc1:1_start_0 node1" -> "rsc1:1_monitor_120000 node1" [ style = bold]
 "rsc1:1_start_0 node1" -> "rsc2_start_0 node1" [ style = bold]
 "rsc1:1_start_0 node1" [ style=bold color="green" fontcolor="black"]
+"rsc2:1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc2:1_monitor_0 node2" -> "cl-rsc2_start_0" [ style = bold]
+"rsc2:1_monitor_0 node2" -> "cl-rsc2_stopped_0" [ style = bold]
 "rsc2:1_monitor_0 node2" [ style=bold color="green" fontcolor="black"]
 "rsc2:1_monitor_200000 node2" [ style=bold color="green" fontcolor="black"]
 "rsc2:1_start_0 node2" -> "cl-rsc2_running_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/reload-becomes-restart.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/reload-becomes-restart.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/reload-becomes-restart.exp
@@ -240,6 +240,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc2:1_monitor_0" on_node="node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="19" operation="stop" operation_key="rsc2_stop_0" internal_operation_key="rsc2:0_stop_0" on_node="node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
@@ -299,6 +302,21 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="Fencing_monitor_0" on_node="node1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc1:1_monitor_0" on_node="node1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="Fencing_monitor_0" on_node="node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="rsc1:0_monitor_0" on_node="node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc2:1_monitor_0" on_node="node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="19" operation="stop" operation_key="rsc2_stop_0" internal_operation_key="rsc2:0_stop_0" on_node="node1" on_node_uuid="1"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-connection-unrecoverable.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-connection-unrecoverable.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-connection-unrecoverable.dot
@@ -11,7 +11,10 @@ digraph "g" {
 "remote1_stop_0 node1" [ style=bold color="green" fontcolor="orange"]
 "rsc1_delete_0 remote1" -> "rsc1_start_0 node2" [ style = dashed]
 "rsc1_delete_0 remote1" [ style=dashed color="red" fontcolor="black"]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc1_monitor_0 node2" -> "remote1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
+"rsc1_monitor_0 node2" -> "rsc2-master_demote_0" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black"]
 "rsc1_monitor_10000 node2" [ style=bold color="green" fontcolor="black"]
 "rsc1_start_0 node2" -> "rsc1_monitor_10000 node2" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-connection-unrecoverable.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-connection-unrecoverable.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-connection-unrecoverable.exp
@@ -12,6 +12,9 @@
       <trigger>
         <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
+      </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
@@ -163,6 +166,9 @@
       <trigger>
         <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
+      </trigger>
     </inputs>
   </synapse>
   <synapse id="12" priority="1000000">
@@ -233,6 +239,9 @@
         <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="10" operation="stop" operation_key="remote1_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep1.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rsc_dep1.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep1.dot
@@ -1,11 +1,13 @@
  digraph "g" {
 "rsc1_monitor_0 node1" -> "rsc1_start_0 node2" [ style = bold]
+"rsc1_monitor_0 node1" -> "rsc2_start_0 node1" [ style = bold]
 "rsc1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node1" -> "rsc2_start_0 node1" [ style = bold]
 "rsc2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep1.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rsc_dep1.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep1.exp
@@ -11,6 +11,9 @@
         <rsc_op id="2" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="node1"/>
+      </trigger>
+      <trigger>
         <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
@@ -45,6 +48,9 @@
         <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="5" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep5.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rsc_dep5.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep5.dot
@@ -1,13 +1,17 @@
  digraph "g" {
+"rsc1_monitor_0 node1" -> "rsc3_start_0 node1" [ style = bold]
 "rsc1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc1_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node1" -> "rsc2_start_0 node2" [ style = bold]
+"rsc2_monitor_0 node1" -> "rsc3_start_0 node1" [ style = bold]
 "rsc2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_monitor_0 node1" -> "rsc3_start_0 node1" [ style = bold]
 "rsc3_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc3_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc3_monitor_0 node2" -> "rsc3_start_0 node1" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep5.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rsc_dep5.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep5.exp
@@ -11,6 +11,12 @@
         <rsc_op id="2" operation="monitor" operation_key="rsc3_monitor_0" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="node1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="node1"/>
+      </trigger>
+      <trigger>
         <rsc_op id="5" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
@@ -45,8 +51,14 @@
         <rsc_op id="3" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="6" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="node2"/>
       </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
     </inputs>
    </synapse>
   <synapse id="4" priority="2">
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unfence-definition.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/unfence-definition.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unfence-definition.dot
@@ -13,12 +13,17 @@ digraph "g" {
 "clvmd-clone_stopped_0" -> "clvmd-clone_start_0" [ style = bold]
 "clvmd-clone_stopped_0" -> "dlm-clone_stop_0" [ style = bold]
 "clvmd-clone_stopped_0" [ style=bold color="green" fontcolor="orange"]
+"clvmd:1_monitor_0 virt-2" -> "all_stopped" [ style = bold]
 "clvmd:1_monitor_0 virt-2" -> "clvmd-clone_start_0" [ style = bold]
+"clvmd:1_monitor_0 virt-2" -> "clvmd-clone_stopped_0" [ style = bold]
+"clvmd:1_monitor_0 virt-2" -> "clvmd_stop_0 virt-1" [ style = bold]
 "clvmd:1_monitor_0 virt-2" [ style=bold color="green" fontcolor="black"]
 "clvmd:1_start_0 virt-2" -> "clvmd-clone_running_0" [ style = bold]
 "clvmd:1_start_0 virt-2" -> "clvmd:2_start_0 virt-3" [ style = bold]
 "clvmd:1_start_0 virt-2" [ style=bold color="green" fontcolor="black"]
+"clvmd:2_monitor_0 virt-3" -> "all_stopped" [ style = bold]
 "clvmd:2_monitor_0 virt-3" -> "clvmd-clone_start_0" [ style = bold]
+"clvmd:2_monitor_0 virt-3" -> "clvmd-clone_stopped_0" [ style = bold]
 "clvmd:2_monitor_0 virt-3" [ style=bold color="green" fontcolor="black"]
 "clvmd:2_start_0 virt-3" -> "clvmd-clone_running_0" [ style = bold]
 "clvmd:2_start_0 virt-3" [ style=bold color="green" fontcolor="black"]
@@ -42,7 +47,9 @@ digraph "g" {
 "dlm-clone_stop_0" [ style=bold color="green" fontcolor="orange"]
 "dlm-clone_stopped_0" -> "dlm-clone_start_0" [ style = bold]
 "dlm-clone_stopped_0" [ style=bold color="green" fontcolor="orange"]
+"dlm:2_monitor_0 virt-3" -> "all_stopped" [ style = bold]
 "dlm:2_monitor_0 virt-3" -> "dlm-clone_start_0" [ style = bold]
+"dlm:2_monitor_0 virt-3" -> "dlm-clone_stopped_0" [ style = bold]
 "dlm:2_monitor_0 virt-3" [ style=bold color="green" fontcolor="black"]
 "dlm:2_start_0 virt-3" -> "clvmd:2_start_0 virt-3" [ style = bold]
 "dlm:2_start_0 virt-3" -> "dlm-clone_running_0" [ style = bold]
@@ -57,6 +64,7 @@ digraph "g" {
 "dlm_stop_0 virt-1" [ style=bold color="green" fontcolor="black"]
 "fencing_delete_0 virt-1" -> "fencing_start_0 virt-1" [ style = bold]
 "fencing_delete_0 virt-1" [ style=bold color="green" fontcolor="black"]
+"fencing_monitor_0 virt-3" -> "all_stopped" [ style = bold]
 "fencing_monitor_0 virt-3" -> "fencing_start_0 virt-1" [ style = bold]
 "fencing_monitor_0 virt-3" [ style=bold color="green" fontcolor="black"]
 "fencing_start_0 virt-1" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unfence-definition.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/unfence-definition.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unfence-definition.exp
@@ -137,6 +137,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="dlm:2_monitor_0" on_node="virt-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="13" operation="stop" operation_key="dlm_stop_0" internal_operation_key="dlm:0_stop_0" on_node="virt-1" on_node_uuid="1"/>
       </trigger>
       <trigger>
@@ -223,6 +226,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="clvmd:1_monitor_0" on_node="virt-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="28" operation="stop" operation_key="clvmd-clone_stop_0"/>
       </trigger>
     </inputs>
@@ -301,6 +307,12 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="clvmd:1_monitor_0" on_node="virt-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="clvmd:2_monitor_0" on_node="virt-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="22" operation="stop" operation_key="clvmd_stop_0" internal_operation_key="clvmd:0_stop_0" on_node="virt-1" on_node_uuid="1"/>
       </trigger>
       <trigger>
@@ -415,6 +427,18 @@
         <rsc_op id="6" operation="stop" operation_key="fencing_stop_0" on_node="virt-1" on_node_uuid="1"/>
       </trigger>
       <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="clvmd:1_monitor_0" on_node="virt-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="fencing_monitor_0" on_node="virt-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="dlm:2_monitor_0" on_node="virt-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="clvmd:2_monitor_0" on_node="virt-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="13" operation="stop" operation_key="dlm_stop_0" internal_operation_key="dlm:0_stop_0" on_node="virt-1" on_node_uuid="1"/>
       </trigger>
       <trigger>
